廣告贊助

這是篇記錄將 OpenWebMail 2.52 -> OpenWebMail 2.53 的升級過程

雖然只是套件的更新,但實際上系統做了許多套件的更動

另外看此篇前,建議先跳到第5點閱讀

1.前置備份作業

首先,要做好「備份」重要資料的工作,在這裡我備份了「系統設定檔」、「公用通訊錄」、「郵件規則」及「使用者個人設定」

系統設定檔 PathToOpenwebmail/openwebmail.conf

公用通訊錄在 PathToOpenwebmail/etc/addressbooks/global

郵件規則在 PathToOpenwebmail/etc/filter.book ( 補充一篇郵件規則的設定教學 From 工頭的家 )

使用者個人設定在 PathToOpenwebmail/users/ ( 整個目錄 )

2.開始升級套件

在此我的狀況描述一下,本來以為很單純只要下載 2.53 版本解開,放上去就可以執行了,但系統一直給我 500 的 Error

後來才發現,原來我並沒有 suidperl 這程式,經過查詢後,發現2種解決方式

第一種就是直接去更新 Perl ,但我並沒有採用這種方式

# cd /usr/ports/lang/perl5.8
# make ENABLE_SUIDPERL=yes
# make test
# make install clean
# rehash
# whereis suidperl
# ln -s /usr/local/bin/suidperl /usr/bin/suidperl

第二種就是用 portupgarade 更新 Perl,而我是採用這種

#portupgrade -rf "perl-5.8.*" -m "ENABLE_SUIDPERL=yes"

一做下去,不得了了 ... 有196個套件因相依性的問題都一併做了更新 -_-

連帶我原本的 Apache、PHP、Webmin 等套件都幫我升級到了最新的版本,好在更新過程沒有什麼 Error

不過唯一一個有出錯的就是 OpenWebMail 無法透過 portupgrade 做更新,因此我又再一次進入 /usr/ports/mail/openwebmail 安裝了一次

3.倒回原本資料

就把前置備份作業的檔案,再 Copy or Move 回原本應有的位置即可

4.升級後可能會發生的問題

目前碰到的問題,和潛艦這篇問題一模一樣,閱讀時會出現 UTF-8 的字眼,故可參考看看修改看看

5.注意事項

升級前務必做好備份的工作,這非常重要!最簡單的方式,就是直接備份原本 OpenWebMail 所有的目錄,避免升級至新版本後,有無法預期的錯誤時,還有舊版本可以用

ps. 這次升級是心血來潮,選在大家上班時間進行,比預期的時間延長了3小時,但還是在下班前完成了,下次可能要在離峰時段做,不然電話一直來還蠻刺激的

創作者介紹

有為青年生活札記

bojack 發表在 痞客邦 PIXNET 留言(0) 人氣()